Bug 295316 - BQM always demosaicing and importing RAW Image. Need option to use JPEG preview from RAW file
Summary: BQM always demosaicing and importing RAW Image. Need option to use JPEG previ...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: BatchQueueManager-RAWProcessing (show other bugs)
Version: 2.5.0
Platform: Ubuntu Packages Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-04 16:56 UTC by Michal Thoma
Modified: 2016-07-03 16:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 3.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Thoma 2012-03-04 16:56:23 UTC
Image editor and Batch Queme Manager are always demosaicing and importing RAW. I would like to have a option not to convert RAW but to use it's JPEG preview. Also it's sometimes desirable, because commonly converted images are different to previews (and not always better).
Comment 1 caulier.gilles 2012-03-04 21:57:31 UTC
I propose to create a new BQM tool to extract JPEG preview from RAW...

Gilles  Caulier
Comment 2 Michal Thoma 2012-03-05 03:49:41 UTC
Such a tool would definitely be good though I think it would be nice to have a global option for image editor as well. So I there could be fourt option "No Decoding, use preview" under settings' Raw decoding tab.
Comment 3 caulier.gilles 2012-12-11 16:43:11 UTC
Git commit 452256bf3a7b7780eaf65bb0864bed33d488aeb3 by Gilles Caulier.
Committed on 11/12/2012 at 17:40.
Pushed by cgilles into branch 'master'.

add new Batch Queue Manager Behavior option to handle RAW file in workflow : extract embeded JPEG or perform demosaicing
FIXED-IN: 3.0.0

M  +48   -19   utilities/queuemanager/manager/batchtool.cpp
M  +9    -0    utilities/queuemanager/manager/batchtool.h
M  +9    -0    utilities/queuemanager/manager/queuesettings.h
M  +1    -0    utilities/queuemanager/manager/task.cpp
M  +53   -6    utilities/queuemanager/views/queuesettingsview.cpp

http://commits.kde.org/digikam/452256bf3a7b7780eaf65bb0864bed33d488aeb3